"""A View that waits for a period of time and resolves."""

import asyncio

import aiohttp.web


class SleepView(aiohttp.web.View):

    async def get(self):
        time = float(self.request.GET.getone('time', '40'))
        await asyncio.sleep(time / 1000)
        return aiohttp.web.Response(
            body=(
                "<html><head><title>Sleepy</title></head><body>"
                "<h1>I took {}ms to run.</h1></body></html>".format(
                    time
                ).encode('utf-8')
            )
        )
